---
type: api
title: Get global checkpoints
description: Get the current global checkpoints for an index.
url: https://www.elastic.co/elastic/docs-builder/docs/4641/api/doc/elasticsearch/v8/operation/operation-fleet-global-checkpoints
resource: https://www.elastic.co/elastic/docs-builder/docs/4641/api/doc/elasticsearch/v8/operation/operation-fleet-global-checkpoints
products:
  - Elasticsearch
---

# Get global checkpoints

Authentication: required

Availability: Generally available since 7.13

## Paths

- `GET` `/{index}/_fleet/global_checkpoints`

#### Path parameters

- `index` (union string) — required
  A single index or index alias that resolves to a single index.

## Description

Get the current global checkpoints for an index.
This API is designed for internal use by the Fleet server project.

## Query string parameters

- `wait_for_advance` (boolean · default: false) — optional
  A boolean value which controls whether to wait (until the timeout) for the global checkpoints
to advance past the provided `checkpoints`.
- `wait_for_index` (boolean · default: false) — optional
  A boolean value which controls whether to wait (until the timeout) for the target index to exist
and all primary shards be active. Can only be true when `wait_for_advance` is true.
- `checkpoints` (number[] · default: []) — optional
  A comma separated list of previous global checkpoints. When used in combination with `wait_for_advance`,
the API will only return once the global checkpoints advances past the checkpoints. Providing an empty list
will cause Elasticsearch to immediately return the current global checkpoints.
- `timeout` (string · default: 30s) — optional
  Period to wait for a global checkpoints to advance past `checkpoints`.

## Response

`application/json`

- `global_checkpoints` (number[])
- `timed_out` (boolean)
## Code examples

#### Console

```console
GET /INDEX/_fleet/global_checkpoints
```

#### curl

```curl
curl -X GET "${ELASTICSEARCH_URL}/${INDEX}/_fleet/global_checkpoints" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "global_checkpoints": [
    0
  ],
  "timed_out": false
}
```

